---
title: '<shadow>: The obsolete Shadow Root element'
slug: Web/HTML/Element/shadow
tags:
  - Deprecated
  - Element
  - HTML
  - HTML Web Components
  - Reference
  - Shadow Root
  - Web Components
  - shadow
  - shadow dom
---
<p>{{deprecated_header}}</p>

<p><span class="seoSummary">The <strong>HTML <code>&lt;shadow&gt;</code> element</strong>—an obsolete part of the <a href="/en-US/docs/Web/Web_Components">Web Components</a> technology suite—was intended to be used as a shadow DOM {{glossary("insertion point")}}.</span> You might have used it if you have created multiple shadow roots under a shadow host. It is not useful in ordinary HTML.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Transparent_content_model">Transparent content</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a></td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts flow content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>None</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLShadowElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Example">Example</h2>

<p>Here is a simple example of using the <code>&lt;shadow&gt;</code> element. It is an HTML file with everything needed in it.</p>

<div class="note">
<p><strong>Note:</strong> This is an experimental technology. For this code to work, the browser you display it in must support Web Components. See <a href="/en-US/docs/Web/Web_Components#Enabling_Web_Components_in_Firefox">Enabling Web Components in Firefox</a>.</p>
</div>

<pre class="brush: html">&lt;html&gt;
  &lt;head&gt;&lt;/head&gt;
  &lt;body&gt;

  &lt;!-- This &lt;div&gt; will hold the shadow roots. --&gt;
  &lt;div&gt;
    &lt;!-- This heading will not be displayed --&gt;
    &lt;h4&gt;My Original Heading&lt;/h4&gt;
  &lt;/div&gt;

  &lt;script&gt;
    // Get the &lt;div&gt; above with its content
    var origContent = document.querySelector('div');
    // Create the first shadow root
    var shadowroot1 = origContent.createShadowRoot();
    // Create the second shadow root
    var shadowroot2 = origContent.createShadowRoot();

    // Insert something into the older shadow root
    shadowroot1.innerHTML =
      '&lt;p&gt;Older shadow root inserted by
          &amp;lt;shadow&amp;gt;&lt;/p&gt;';
    // Insert into younger shadow root, including &lt;shadow&gt;.
    // The previous markup will not be displayed unless
    // &lt;shadow&gt; is used below.
    shadowroot2.innerHTML =
      '&lt;shadow&gt;&lt;/shadow&gt; &lt;p&gt;Younger shadow
       root, displayed because it is the youngest.&lt;/p&gt;';
  &lt;/script&gt;

  &lt;/body&gt;
&lt;/html&gt;
</pre>

<p>If you display this in a web browser it should look like the following.</p>

<p><img alt="shadow example" src="shadow-example.png" style="height: 343px; width: 641px;"></p>

<h2 id="Specifications">Specifications</h2>

<p>This element is no longer defined by any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.shadow")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Web_Components">Web Components</a></li>
 <li>{{HTMLElement("content")}}, {{HTMLElement("slot")}}, {{HTMLElement("template")}}, {{HTMLElement("element")}}</li>
</ul>

<div>{{HTMLRef}}</div>
